#!/bin/bash
#
# source: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-15.28.2.8.tgz
#         http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-15.28.1.8.tgz
#
# maintainer: gmg (g.monpontet@gmail.com)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="iwlwifi-3945-ucode"
softversion="15.28.2.8"
arch="noarch"
packageversion="54.2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvzf $soft-$softversion.tgz
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                  |-----handy-ruler----------------------------------------------|
iwlwifi-3945-ucode: iwlwifi-3945-ucode - firmware for Intel Wireless 3945ABG/BG
iwlwifi-3945-ucode:
iwlwifi-3945-ucode: This package contains the latest microcode image as required
iwlwifi-3945-ucode: by the iwlwifi driver incorporated in the Linux Kernel.
iwlwifi-3945-ucode: This microcode image supports the Intel PRO/Wireless
iwlwifi-3945-ucode: 3945ABG/BG Connection Adapter driver for Linux (iwlwifi-3945)
iwlwifi-3945-ucode: to operate on your system.
iwlwifi-3945-ucode:
iwlwifi-3945-ucode:
iwlwifi-3945-ucode:
iwlwifi-3945-ucode:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

mkdir -p $dest/lib/firmware
cp iwlwifi-3945-2.ucode $dest/lib/firmware

mkdir -p $dest/usr/doc/$soft-$softversion
cat LICENSE.iwlwifi-3945-ucode > $dest/usr/doc/$soft-$softversion/LICENCE
cat README.iwlwifi-3945-ucode > $dest/usr/doc/$soft-$softversion/README

# added firmware version 1

cd $buildir
tar -xvzf $soft-15.28.1.8.tgz
chown -R root:root .
cp $buildir/$soft-15.28.1.8/iwlwifi-3945-1.ucode $dest/lib/firmware

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5